[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Graphics' (#lcl)

# TCanvas.Destroy

Destructor for the class instance.

## Declaration

Source position: graphics.pp line 1091

`public destructor TCanvas.Destroy; override;`

## Description

Destroy is the destructor for TCanvas. It frees handles and regions, and calls the inherited Destroy method, sets font, pen and brush resources to Nil in the TCanvas class instance and makes its resources available.